Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
[Java] Class AbstractASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.AbstractASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    public abstract class AbstractASTTransformation
    extends java.lang.Object

Method Summary
`protected void` | `addError(java.lang.String msg, ASTNode expr)`
`protected void` | `checkNotInterface(ClassNode cNode, java.lang.String annotationName)`
`protected java.util.List` | `getMemberList(AnnotationNode anno, java.lang.String name)`
`protected java.lang.String` | `getMemberStringValue(AnnotationNode node, java.lang.String name)`
`protected java.lang.Object` | `getMemberValue(AnnotationNode node, java.lang.String name)`
`protected boolean` | `hasAnnotation(ClassNode cNode, ClassNode annotation)`
`protected void` | `init(ASTNode[] nodes, SourceUnit sourceUnit)`
`protected boolean` | `memberHasValue(AnnotationNode node, java.lang.String name, java.lang.Object value)`
`protected java.util.List` | `tokenize(java.lang.String rawExcludes)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addError

    protected void addError(java.lang.String msg, ASTNode expr)

### checkNotInterface

    protected void checkNotInterface(ClassNode cNode, java.lang.String annotationName)

### getMemberList

    protected java.util.List getMemberList(AnnotationNode anno, java.lang.String name)

### getMemberStringValue

    protected java.lang.String getMemberStringValue(AnnotationNode node, java.lang.String name)

### getMemberValue

    protected java.lang.Object getMemberValue(AnnotationNode node, java.lang.String name)

### hasAnnotation

    protected boolean hasAnnotation(ClassNode cNode, ClassNode annotation)

### init

    protected void init(ASTNode[] nodes, SourceUnit sourceUnit)

### memberHasValue

    protected boolean memberHasValue(AnnotationNode node, java.lang.String name, java.lang.Object value)

### tokenize

    protected java.util.List tokenize(java.lang.String rawExcludes)

Groovy Documentation